package pausenuhr.view;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import pausenuhr.model.TrayNotification;
import pausenuhr.model.ZustandBestimmen;
import java.time.LocalTime;
import java.time.format.DateTimeFormatter;

public class PausenuhrController {
	String lastState = null;

	@FXML
	private Label lblZeit;

	@FXML
	private Label lblZustand;

	@FXML
	void initialize() {
		assert lblZeit != null : "fx:id=\"lblZeit\" was not injected: check your FXML file 'sample.fxml'.";
		assert lblZustand != null : "fx:id=\"lblZustand\" was not injected: check your FXML file 'sample.fxml'.";

		lblZeit.setText("Aktuelle Zeit:\n16:28:01");
		lblZustand.setText("UNTERRICHT bis\n17:10:00");

		start();
	}

	public void aktuellerZustand() {
		DateTimeFormatter dtf = DateTimeFormatter.ofPattern("HH:mm:ss");
		LocalTime jetzt = LocalTime.now();

		String tempState = String.valueOf(ZustandBestimmen.aktuellerZustandLang(jetzt));

		if (this.lastState != null && this.lastState != tempState) {
			TrayNotification tim = new TrayNotification();
			tim.showTray(tempState);
		}
		this.lastState = tempState;

		lblZeit.setText("Aktuelle Zeit: " + dtf.format(jetzt));
		lblZustand.setText(this.lastState + " bis " + dtf.format(ZustandBestimmen.aktuellerZustandLangBis(jetzt)));

	}

	public void start() {
		new Thread(new Runnable() {
			@Override
			public void run() {
				while (true) {
					try {
						Thread.sleep(1000);
					} catch (InterruptedException ignored) {
					}
					Platform.runLater(new Runnable() {
						@Override
						public void run() {
							aktuellerZustand();
						}
					});
				}
			}
		}).start();
	}
}
